# Uses of Class
org.jmol.thread.JmolThread

Packages that use JmolThread
Package
Description
org.jmol.minimize
org.jmol.navigate
org.jmol.script
org.jmol.thread
org.jmol.viewer

## Uses of JmolThread in org.jmol.minimize

Subclasses of JmolThread in org.jmol.minimize
Modifier and Type
Class
Description
`class`
`MinimizationThread`
Methods in org.jmol.minimize that return JmolThread
Modifier and Type
Method
Description
`JmolThread`
Minimizer.`getThread()`

## Uses of JmolThread in org.jmol.navigate

Subclasses of JmolThread in org.jmol.navigate
Modifier and Type
Class
Description
`final class`
`Navigator`
Navigator is a user input mechanism that utilizes the keypad to drive through the model.

## Uses of JmolThread in org.jmol.script

Subclasses of JmolThread in org.jmol.script
Modifier and Type
Class
Description
`class`
`CommandWatcherThread`
`class`
`ScriptQueueThread`

## Uses of JmolThread in org.jmol.thread

Subclasses of JmolThread in org.jmol.thread
Modifier and Type
Class
Description
`class`
`AnimationThread`
`class`
`HoverWatcherThread`
`class`
`MoveToThread`
`class`
`SpinThread`
`class`
`TimeoutThread`
`class`
`VibrationThread`
Methods in org.jmol.thread with parameters of type JmolThread
Modifier and Type
Method
Description
`protected boolean`
JmolThread.`checkInterrupted(JmolThread ref)`

## Uses of JmolThread in org.jmol.viewer

Fields in org.jmol.viewer declared as JmolThread
Modifier and Type
Field
Description
`JmolThread`
AnimationManager.`animationThread`
`JmolThread`
TransformManager.`movetoThread`
`JmolThread`
TransformManager.`spinThread`
`JmolThread`
TransformManager.`vibrationThread`